Get a user
GET
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an admin API key as the username and an empty password.
merchant_id*stringThe ID of the merchant.
Format
uuiduser_id*stringThe ID of the user.
Format
uuidThe user.
- response
id?stringFormat
uuidmerchant_id?stringFormat
uuidcreated?stringFormat
date-timemodified?|Format
date-timeemail*stringThe username. Unique on the platform.
Format
emailstatus?stringValue in
"pending""active""inactive"legal_name?stringsalutation?stringValue in
"mr""mrs""na"phone_numbers?array<string>locale?string|nulltimezone?string|nullroles?array<>The role IDs of the user. Users can't change their own roles.
permissions?Don't use; give the user roles instead.
field_permissions?Field-level read and write restrictions per resource: { resource: { field: { read, write } } }.
mfa?The multi-factor authentication methods the user enrolled in.
last_login?stringFormat
date-timecurl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/' \ --user "$API_KEY:"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "email": "alex@example.com", "status": "pending", "legal_name": "Alex Example", "salutation": "mr", "phone_numbers": [ "string" ], "locale": "en_GB", "timezone": "string", "roles": [ "3e67ee41-e431-4abb-a52b-02eab88ad745" ], "permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "field_permissions": { "property1": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } }, "property2": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } } }, "mfa": {}, "last_login": "2019-08-24T14:15:22Z"}